<?php

namespace Drupal\Tests\domain_access_logo\Functional;

use Drupal\Tests\domain\Functional\DomainTestBase;
use Drupal\Tests\domain_access_logo\Traits\DomainAccessLogoTestTrait;

/**
 * Helper test methods for Domain Access Logo testing.
 */
abstract class DomainAccessLogoTestBase extends DomainTestBase {

  use DomainAccessLogoTestTrait;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'domain',
    'domain_access_logo',
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritDoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->createAdminUser();
    $this->createEditorUser();

    $this->domainCreateTestDomains();
  }

}
